<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfEsitoOperazioneServizio ArrayType
 * @subpackage Arrays
 */
class ArrayOfEsitoOperazioneServizio extends AbstractStructArrayBase
{
    /**
     * The EsitoOperazioneServizio
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\EsitoOperazioneServizio[]
     */
    public $EsitoOperazioneServizio;
    /**
     * Constructor method for ArrayOfEsitoOperazioneServizio
     * @uses ArrayOfEsitoOperazioneServizio::setEsitoOperazioneServizio()
     * @param \StructType\EsitoOperazioneServizio[] $esitoOperazioneServizio
     */
    public function __construct(array $esitoOperazioneServizio = array())
    {
        $this
            ->setEsitoOperazioneServizio($esitoOperazioneServizio);
    }
    /**
     * Get EsitoOperazioneServizio value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\EsitoOperazioneServizio[]|null
     */
    public function getEsitoOperazioneServizio()
    {
        return isset($this->EsitoOperazioneServizio) ? $this->EsitoOperazioneServizio : null;
    }
    /**
     * This method is responsible for validating the values passed to the setEsitoOperazioneServizio method
     * This method is willingly generated in order to preserve the one-line inline validation within the setEsitoOperazioneServizio method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateEsitoOperazioneServizioForArrayConstraintsFromSetEsitoOperazioneServizio(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfEsitoOperazioneServizioEsitoOperazioneServizioItem) {
            // validation for constraint: itemType
            if (!$arrayOfEsitoOperazioneServizioEsitoOperazioneServizioItem instanceof \StructType\EsitoOperazioneServizio) {
                $invalidValues[] = is_object($arrayOfEsitoOperazioneServizioEsitoOperazioneServizioItem) ? get_class($arrayOfEsitoOperazioneServizioEsitoOperazioneServizioItem) : sprintf('%s(%s)', gettype($arrayOfEsitoOperazioneServizioEsitoOperazioneServizioItem), var_export($arrayOfEsitoOperazioneServizioEsitoOperazioneServizioItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The EsitoOperazioneServizio property can only contain items of type \StructType\EsitoOperazioneServizio, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set EsitoOperazioneServizio value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\EsitoOperazioneServizio[] $esitoOperazioneServizio
     * @return \ArrayType\ArrayOfEsitoOperazioneServizio
     */
    public function setEsitoOperazioneServizio(array $esitoOperazioneServizio = array())
    {
        // validation for constraint: array
        if ('' !== ($esitoOperazioneServizioArrayErrorMessage = self::validateEsitoOperazioneServizioForArrayConstraintsFromSetEsitoOperazioneServizio($esitoOperazioneServizio))) {
            throw new \InvalidArgumentException($esitoOperazioneServizioArrayErrorMessage, __LINE__);
        }
        if (is_null($esitoOperazioneServizio) || (is_array($esitoOperazioneServizio) && empty($esitoOperazioneServizio))) {
            unset($this->EsitoOperazioneServizio);
        } else {
            $this->EsitoOperazioneServizio = $esitoOperazioneServizio;
        }
        return $this;
    }
    /**
     * Add item to EsitoOperazioneServizio value
     * @throws \InvalidArgumentException
     * @param \StructType\EsitoOperazioneServizio $item
     * @return \ArrayType\ArrayOfEsitoOperazioneServizio
     */
    public function addToEsitoOperazioneServizio(\StructType\EsitoOperazioneServizio $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\EsitoOperazioneServizio) {
            throw new \InvalidArgumentException(sprintf('The EsitoOperazioneServizio property can only contain items of type \StructType\EsitoOperazioneServizio, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->EsitoOperazioneServizio[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\EsitoOperazioneServizio|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\EsitoOperazioneServizio|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\EsitoOperazioneServizio|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\EsitoOperazioneServizio|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\EsitoOperazioneServizio|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string EsitoOperazioneServizio
     */
    public function getAttributeName()
    {
        return 'EsitoOperazioneServizio';
    }
}
