<?php

namespace ServiceType;

use \WsdlToPhp\PackageBase\AbstractSoapClientBase;

/**
 * This class stands for Gestione ServiceType
 * @subpackage Services
 */
class Gestione extends AbstractSoapClientBase
{
    /**
     * Method to call the operation originally named GestioneAppartamenti_Test
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\GestioneAppartamenti_Test $parameters
     * @return \StructType\GestioneAppartamenti_TestResponse|bool
     */
    public function GestioneAppartamenti_Test(\StructType\GestioneAppartamenti_Test $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GestioneAppartamenti_Test($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named
     * GestioneAppartamenti_FileUnico_Test
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\GestioneAppartamenti_FileUnico_Test $parameters
     * @return \StructType\GestioneAppartamenti_FileUnico_TestResponse|bool
     */
    public function GestioneAppartamenti_FileUnico_Test(\StructType\GestioneAppartamenti_FileUnico_Test $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GestioneAppartamenti_FileUnico_Test($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GestioneAppartamenti_Send
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\GestioneAppartamenti_Send $parameters
     * @return \StructType\GestioneAppartamenti_SendResponse|bool
     */
    public function GestioneAppartamenti_Send(\StructType\GestioneAppartamenti_Send $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GestioneAppartamenti_Send($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named
     * GestioneAppartamenti_FileUnico_Send
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\GestioneAppartamenti_FileUnico_Send $parameters
     * @return \StructType\GestioneAppartamenti_FileUnico_SendResponse|bool
     */
    public function GestioneAppartamenti_FileUnico_Send(\StructType\GestioneAppartamenti_FileUnico_Send $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GestioneAppartamenti_FileUnico_Send($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named
     * GestioneAppartamenti_AggiungiAppartamento
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\GestioneAppartamenti_AggiungiAppartamento $parameters
     * @return \StructType\GestioneAppartamenti_AggiungiAppartamentoResponse|bool
     */
    public function GestioneAppartamenti_AggiungiAppartamento(\StructType\GestioneAppartamenti_AggiungiAppartamento $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GestioneAppartamenti_AggiungiAppartamento($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named
     * GestioneAppartamenti_DisabilitaAppartamento
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\GestioneAppartamenti_DisabilitaAppartamento $parameters
     * @return \StructType\GestioneAppartamenti_DisabilitaAppartamentoResponse|bool
     */
    public function GestioneAppartamenti_DisabilitaAppartamento(\StructType\GestioneAppartamenti_DisabilitaAppartamento $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GestioneAppartamenti_DisabilitaAppartamento($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Returns the result
     * @see AbstractSoapClientBase::getResult()
     * @return \StructType\GestioneAppartamenti_AggiungiAppartamentoResponse|\StructType\GestioneAppartamenti_DisabilitaAppartamentoResponse|\StructType\GestioneAppartamenti_FileUnico_SendResponse|\StructType\GestioneAppartamenti_FileUnico_TestResponse|\StructType\GestioneAppartamenti_SendResponse|\StructType\GestioneAppartamenti_TestResponse
     */
    public function getResult()
    {
        return parent::getResult();
    }
}
