<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ElencoSchedineEsito StructType
 * @subpackage Structs
 */
class ElencoSchedineEsito extends AbstractStructBase
{
    /**
     * The SchedineValide
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $SchedineValide;
    /**
     * The Dettaglio
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfEsitoOperazioneServizio
     */
    public $Dettaglio;
    /**
     * Constructor method for ElencoSchedineEsito
     * @uses ElencoSchedineEsito::setSchedineValide()
     * @uses ElencoSchedineEsito::setDettaglio()
     * @param int $schedineValide
     * @param \ArrayType\ArrayOfEsitoOperazioneServizio $dettaglio
     */
    public function __construct($schedineValide = null, \ArrayType\ArrayOfEsitoOperazioneServizio $dettaglio = null)
    {
        $this
            ->setSchedineValide($schedineValide)
            ->setDettaglio($dettaglio);
    }
    /**
     * Get SchedineValide value
     * @return int
     */
    public function getSchedineValide()
    {
        return $this->SchedineValide;
    }
    /**
     * Set SchedineValide value
     * @param int $schedineValide
     * @return \StructType\ElencoSchedineEsito
     */
    public function setSchedineValide($schedineValide = null)
    {
        // validation for constraint: int
        if (!is_null($schedineValide) && !(is_int($schedineValide) || ctype_digit($schedineValide))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($schedineValide, true), gettype($schedineValide)), __LINE__);
        }
        $this->SchedineValide = $schedineValide;
        return $this;
    }
    /**
     * Get Dettaglio value
     * @return \ArrayType\ArrayOfEsitoOperazioneServizio|null
     */
    public function getDettaglio()
    {
        return $this->Dettaglio;
    }
    /**
     * Set Dettaglio value
     * @param \ArrayType\ArrayOfEsitoOperazioneServizio $dettaglio
     * @return \StructType\ElencoSchedineEsito
     */
    public function setDettaglio(\ArrayType\ArrayOfEsitoOperazioneServizio $dettaglio = null)
    {
        $this->Dettaglio = $dettaglio;
        return $this;
    }
}
