<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for EsitoOperazione StructType
 * @subpackage Structs
 */
class EsitoOperazione extends AbstractStructBase
{
    /**
     * The esito
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var bool
     */
    public $esito;
    /**
     * The ErroreCod
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $ErroreCod;
    /**
     * The ErroreDes
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $ErroreDes;
    /**
     * Constructor method for EsitoOperazione
     * @uses EsitoOperazione::setEsito()
     * @uses EsitoOperazione::setErroreCod()
     * @uses EsitoOperazione::setErroreDes()
     * @param bool $esito
     * @param string $erroreCod
     * @param string $erroreDes
     */
    public function __construct($esito = null, $erroreCod = null, $erroreDes = null)
    {
        $this
            ->setEsito($esito)
            ->setErroreCod($erroreCod)
            ->setErroreDes($erroreDes);
    }
    /**
     * Get esito value
     * @return bool
     */
    public function getEsito()
    {
        return $this->esito;
    }
    /**
     * Set esito value
     * @param bool $esito
     * @return \StructType\EsitoOperazione
     */
    public function setEsito($esito = null)
    {
        // validation for constraint: boolean
        if (!is_null($esito) && !is_bool($esito)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($esito, true), gettype($esito)), __LINE__);
        }
        $this->esito = $esito;
        return $this;
    }
    /**
     * Get ErroreCod value
     * @return string|null
     */
    public function getErroreCod()
    {
        return $this->ErroreCod;
    }
    /**
     * Set ErroreCod value
     * @param string $erroreCod
     * @return \StructType\EsitoOperazione
     */
    public function setErroreCod($erroreCod = null)
    {
        // validation for constraint: string
        if (!is_null($erroreCod) && !is_string($erroreCod)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($erroreCod, true), gettype($erroreCod)), __LINE__);
        }
        $this->ErroreCod = $erroreCod;
        return $this;
    }
    /**
     * Get ErroreDes value
     * @return string|null
     */
    public function getErroreDes()
    {
        return $this->ErroreDes;
    }
    /**
     * Set ErroreDes value
     * @param string $erroreDes
     * @return \StructType\EsitoOperazione
     */
    public function setErroreDes($erroreDes = null)
    {
        // validation for constraint: string
        if (!is_null($erroreDes) && !is_string($erroreDes)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($erroreDes, true), gettype($erroreDes)), __LINE__);
        }
        $this->ErroreDes = $erroreDes;
        return $this;
    }
}
