<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for RicevutaResponse StructType
 * @subpackage Structs
 */
class RicevutaResponse extends AbstractStructBase
{
    /**
     * The RicevutaResult
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\EsitoOperazioneServizio
     */
    public $RicevutaResult;
    /**
     * The PDF
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $PDF;
    /**
     * Constructor method for RicevutaResponse
     * @uses RicevutaResponse::setRicevutaResult()
     * @uses RicevutaResponse::setPDF()
     * @param \StructType\EsitoOperazioneServizio $ricevutaResult
     * @param string $pDF
     */
    public function __construct(\StructType\EsitoOperazioneServizio $ricevutaResult = null, $pDF = null)
    {
        $this
            ->setRicevutaResult($ricevutaResult)
            ->setPDF($pDF);
    }
    /**
     * Get RicevutaResult value
     * @return \StructType\EsitoOperazioneServizio|null
     */
    public function getRicevutaResult()
    {
        return $this->RicevutaResult;
    }
    /**
     * Set RicevutaResult value
     * @param \StructType\EsitoOperazioneServizio $ricevutaResult
     * @return \StructType\RicevutaResponse
     */
    public function setRicevutaResult(\StructType\EsitoOperazioneServizio $ricevutaResult = null)
    {
        $this->RicevutaResult = $ricevutaResult;
        return $this;
    }
    /**
     * Get PDF value
     * @return string|null
     */
    public function getPDF()
    {
        return $this->PDF;
    }
    /**
     * Set PDF value
     * @param string $pDF
     * @return \StructType\RicevutaResponse
     */
    public function setPDF($pDF = null)
    {
        // validation for constraint: string
        if (!is_null($pDF) && !is_string($pDF)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($pDF, true), gettype($pDF)), __LINE__);
        }
        $this->PDF = $pDF;
        return $this;
    }
}
