<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for TabellaResponse StructType
 * @subpackage Structs
 */
class TabellaResponse extends AbstractStructBase
{
    /**
     * The TabellaResult
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\EsitoOperazioneServizio
     */
    public $TabellaResult;
    /**
     * The CSV
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $CSV;
    /**
     * Constructor method for TabellaResponse
     * @uses TabellaResponse::setTabellaResult()
     * @uses TabellaResponse::setCSV()
     * @param \StructType\EsitoOperazioneServizio $tabellaResult
     * @param string $cSV
     */
    public function __construct(\StructType\EsitoOperazioneServizio $tabellaResult = null, $cSV = null)
    {
        $this
            ->setTabellaResult($tabellaResult)
            ->setCSV($cSV);
    }
    /**
     * Get TabellaResult value
     * @return \StructType\EsitoOperazioneServizio|null
     */
    public function getTabellaResult()
    {
        return $this->TabellaResult;
    }
    /**
     * Set TabellaResult value
     * @param \StructType\EsitoOperazioneServizio $tabellaResult
     * @return \StructType\TabellaResponse
     */
    public function setTabellaResult(\StructType\EsitoOperazioneServizio $tabellaResult = null)
    {
        $this->TabellaResult = $tabellaResult;
        return $this;
    }
    /**
     * Get CSV value
     * @return string|null
     */
    public function getCSV()
    {
        return $this->CSV;
    }
    /**
     * Set CSV value
     * @param string $cSV
     * @return \StructType\TabellaResponse
     */
    public function setCSV($cSV = null)
    {
        // validation for constraint: string
        if (!is_null($cSV) && !is_string($cSV)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($cSV, true), gettype($cSV)), __LINE__);
        }
        $this->CSV = $cSV;
        return $this;
    }
}
